#ifndef MS_PACKET_HELLO
#define MS_PACKET_HELLO
#include <stdio.h>
#include <sys/un.h>
#include <stddef.h>
#include <stdbool.h>
#include <stdlib.h>
#include <unistd.h>

#include <msgba/client_connection_data.h>

struct msPacket;

struct msPacketHello {
    size_t size_rom;
    unsigned char *rom;
    size_t size_savestate;
    unsigned char *savestate;
};


void
msPacketHelloDestroy(struct msPacketHello **hello);
bool
msPacketHelloHandle(const struct msPacket *packet, struct msPacketHello *hello,
        struct msClientConnectionData *const data);
bool
msPacketHelloGet(const struct msPacket *packet, int client_fd,
        struct msClientConnectionData *const data);
#endif
